GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

          • Create Resource
          • Batch Create Resources
          • Get Resource Details
          • Batch Get Resource Details
          • Get Resource List by Page
          • Update Resource
          • Delete Resource
          • Batch Delete Resources
          • Associate/Disassociate Application Resources to Tenant
          • Create Permission Namespace
          • Batch Create Permission Namespaces
          • Get Permission Namespace Details
          • Batch Get Permission Namespace Details
          • Update Permission Namespace
          • Delete Permission Namespace
          • Batch Delete Permission Namespaces
          • Authorize Resources
          • Get Authorized Resource List for Principal
          • Check if User Has Permission for Resource Action
          • Get Authorized Principals for Resource
        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Resource and Permission Management

  10. /
  11. Authorize Resources

¶ Authorized resources

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Authorize one or more resources to users, roles, groups, organizations and other entities, and specify different operation permissions for each.

¶ Method name

ManagementClient.authorize_resources

¶ Request parameters

NameType
Required
Default value
Description
Sample value
listAuthorizeResourceItem[]Yes-Authorization resource list Array length limit: 10.
namespacestringNo-Code of the permission group (permission space). Do not pass to obtain the default permission group.default

¶ Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataIsSuccessDtoWhether the operation is successful

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

¶ Data Structure

¶ AuthorizeResourceItem

NameType
Is it required?
Description
Sample value
targetTypestringyesTarget object type:
- USER: user
- ROLE: role
- GROUP: group
- DEPARTMENT: department
USER
targetIdentifiersarrayyesTarget object unique identifier:
- If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If it is a role, it is the role code, such as admin
- If it is a group, it is the group code, such as developer
- If it is a department, it is the department ID, such as 6343bafc019xxxx889206c4c
Array length limit: 100.
["userId1","userId2"]
resourcesarrayYesAuthorized resource list Nested type: ResourceItemDto.

¶ ResourceItemDto

NameType
Required
Description
Sample value
codestringYesResource unique identifierecs
actionsarrayYesOperation types defined by the resource Array length limit: 50.["ecs:Stop","ecs:Start"]
resourceTypestringyesResource type, such as data, API, button, menuDATA

¶ IsSuccessDto

NameType
Is it required
Description
Sample value
successbooleanyesWhether the operation was successfultrue
Previous article: Batch Delete Permission Namespaces Next article: Get Authorized Resource List for Principal
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.